%define upstream_name    CGI-Fast
%define upstream_version 2.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch:      2

Summary:    CGI Interface for Fast CGI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI) >= 4.0.0
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FCGI) >= 0.670.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::Deep) >= 0.110.0
BuildRequires: perl(Test::More)
BuildRequires: perl(if)
BuildArch:  noarch

%description
CGI::Fast is a subclass of the CGI object created by CGI.pm. It is
specialized to work with the FCGI module, which greatly speeds up CGI
scripts by turning them into persistently running server processes. Scripts
that perform time-consuming initialization processes, such as loading large
modules or opening persistent database connections, will see large
performance improvements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 2:2.100.0-3.mga6
+ Revision: 1023439
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2:2.100.0-2.mga6
+ Revision: 968155
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 2:2.100.0-1.mga6
+ Revision: 851455
- update to 2.10

* Wed Oct 15 2014 umeabot <umeabot> 2:2.30.0-3.mga5
+ Revision: 739362
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:2.30.0-2.mga5
+ Revision: 683642
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 2:2.30.0-1.mga5
+ Revision: 672913
- update to 2.03

* Fri Jun 06 2014 jquelin <jquelin> 2:2.20.0-1.mga5
+ Revision: 634067
- forcing epoch (upstream was split from perl-CGI)
- imported package perl-CGI-Fast


* Fri Jun 06 2014 cpan2dist 2.02-1mga
- initial mageia release, generated with cpan2dist
